Class(function(extend, using, self){
    extend("pages/page");
    using("lib/jquery.min.js");

    self.initEvent = function(){
        $(document).delegate(".notice-edit-btn", "click", function () {
            var height = parseInt($(window).height());
            var width = parseInt($(window).width());
            $(".editor1").addClass("none");
            $(".editor2").removeClass("none");

            window.inputbox.fontsize = 13;

            inputbox.set_foucs();
            inputbox.set_input_rect(0, 28, width, height - 28);

            notice.show_edit_inputbox();
            inputbox.show();
        });

        $(document).delegate(".notice-save-btn", "click", function () {
            notice.save_notice_info();
            $(this).blur();
        });

        $(document).delegate(".notice-reset-btn", "click", function () {
            $(".editor1").removeClass("none");
            $(".editor2").addClass("none");
            inputbox.hide();
        });

        /* 用户点击房间超链接 进入 */
        $(document).delegate("a[href='ghop']", "click", function (e) {
            //e.stopPropagation();
            var type = $(this).attr("type");
            if (type == "recruit") {
                chat.enter_another_group($(this).attr('gid'), 1);
            }
            if (type == "jump" || type == undefined) {
                chat.enter_another_group($(this).attr('gid'), 0);
            }
        });

        /* 用户点击房间超链接 进入 */
        $(document).delegate("a[herf='ghop']", "click", function (e) {
            e.stopPropagation();
            var type = $(this).attr("type");
            if (type == "recruit") {
                chat.enter_another_group($(this).attr('gid'), 1);
            }
            if (type == "jump" || type == undefined) {
                chat.enter_another_group($(this).attr('gid'), 0);
            }
        });

        $(window).on('resize', function () {
            var height = parseInt($(window).height());
            var width = parseInt($(window).width());
            inputbox.fontsize = 13;
            inputbox.set_input_rect(0, 28, width, height - 28);
        });
    }

    self.func(function() {
        var that = this;
        self.initEvent();

    })


})

//Audio.Notice = Audio.Notice || {
//    formatContent: function (content) {
//        var links = [];
//        var i = 0;
//        if (content.indexOf('gid') >= 0) {
//            var regexp = /<a gid=\"([0-9]*)\" (.*)(href|herf)=\"ghop\">(.*)<\/a>+/g;
//            var matchs = content.match(regexp);
//            if (matchs) {
//                for (i = 0; i < matchs.length; i++) {
//                    links[i] = matchs[i];
//                    content = content.replace(matchs[i], "{t$e#x@t!}" + i);
//                }
//            }
//        }
//        content = Audio.encodeHTML(content).replace(/\n/g, "</br>").replace(/\s/g, "&nbsp;");
//        if (links.length > 0) {
//            for (i = 0; i < links.length; i++) {
//                content = content.replace("{t$e#x@t!}" + i, links[i]);
//            }
//        }
//        return notice.auto_detect_url(content);
//    }
//};

//function on_resetting() {
//    $(".editor1").removeClass("none");
//    $(".editor2").addClass("none");
//    inputbox.hide();
//}
//
///* 如果 auth 为true 在表示可以编辑 */
//function on_set_notice_auth(auth) {
//    if (auth) {
//        $(".room-notice-content").css({ "height": "220px" });
//        $(".notice-edit-block").removeClass("none");
//    }
//    else {
//        $(".room-notice-content").css({ "height": "245px" });
//        $(".notice-edit-block").addClass("none");
//
//        $(".editor1").removeClass("none");
//        $(".editor2").addClass("none");
//        inputbox.hide();
//    }
//}
//
//function on_set_notice_info(text) {
//    if (Audio.isEmpty(text)) {
//        $(".tip_img").removeClass("none");
//        $(".tip_content").addClass("none");
//    }
//    else {
//        $(".tip_img").addClass("none");
//        $(".tip_content").removeClass("none").html(Audio.Notice.formatContent(notice.base64decode_string(text)));
//        //            $(".tip_content").removeClass("none").html(notice.base64decode_string(text));
//
//    }
//}
//
//function on_save_notice_info(ret) {
//    inputbox.hide();
//    $(".editor1").removeClass("none");
//    $(".editor2").addClass("none");
//}
//
//var notice_amimation = null;
///* 进入动画 */
//function on_load_animation() {
//    var bodyStyle = document.body.style;
//    bodyStyle.position = 'relative';
//    bodyStyle.top = '-245px';
//    var index = 245;
//    if (notice_amimation) { clearInterval(notice_amimation) };
//    notice_amimation = setInterval(function () {
//        if (index <= 0) {
//            clearInterval(notice_amimation);
//            document.body.style.top = "0px";
//        }
//        else {
//            document.body.style.top = "-" + index + "px";
//            index = (index - 4);
//        }
//    }, 4);
//}


//(function () {
//    $(document).delegate(".notice-edit-btn", "click", function () {
//        var height = parseInt($(window).height());
//        var width = parseInt($(window).width());
//        $(".editor1").addClass("none");
//        $(".editor2").removeClass("none");
//
//        inputbox.fontsize = 13;
//
//        inputbox.set_foucs();
//        inputbox.set_input_rect(0, 28, width, height - 28);
//
//        notice.show_edit_inputbox();
//        inputbox.show();
//    });
//
//    $(document).delegate(".notice-save-btn", "click", function () {
//        notice.save_notice_info();
//        $(this).blur();
//    });
//
//    $(document).delegate(".notice-reset-btn", "click", function () {
//        $(".editor1").removeClass("none");
//        $(".editor2").addClass("none");
//        inputbox.hide();
//    });
//
//    /* 用户点击房间超链接 进入 */
//    $(document).delegate("a[href='ghop']", "click", function (e) {
//        e.stopPropagation();
//        var type = $(this).attr("type");
//        if (type == "recruit") {
//            chat.enter_another_group($(this).attr('gid'), 1);
//        }
//        if (type == "jump" || type == undefined) {
//            chat.enter_another_group($(this).attr('gid'), 0);
//        }
//    });
//
//    /* 用户点击房间超链接 进入 */
//    $(document).delegate("a[herf='ghop']", "click", function (e) {
//        e.stopPropagation();
//        var type = $(this).attr("type");
//        if (type == "recruit") {
//            chat.enter_another_group($(this).attr('gid'), 1);
//        }
//        if (type == "jump" || type == undefined) {
//            chat.enter_another_group($(this).attr('gid'), 0);
//        }
//    });
//
//    $(window).on('resize', function () {
//        var height = parseInt($(window).height());
//        var width = parseInt($(window).width());
//        inputbox.fontsize = 13;
//        inputbox.set_input_rect(0, 28, width, height - 28);
//    });
//
//})();